# pauseRecorder method

Future<void> pauseRecorder()

Pause the recorder

On Android this API verb needs al least SDK-24. An exception is thrown if the Recorder is not currently recording.

## Return

Returns a Future which is completed when the function is done.

## Example:

    await myRecorder.pauseRecorder();

## See also

- resumeRecorder()

## Implementation

    Future<void> pauseRecorder() async {
      _logger.d('FS:---> pauseRecorder ');
      await _lock.synchronized(() async {
        await _pauseRecorder();
      });
      _logger.d('FS:<--- pauseRecorder ');
    }